Skip to main content
GET
/
api
/
v2
/
inbox-placement-reports
List inbox placement blacklist & spamassassin report
curl --request GET \
  --url https://api.instantly.ai/api/v2/inbox-placement-reports \
  --header 'Authorization: Bearer <token>'
{
  "items": [
    {
      "id": "019cc043-aef2-75d0-a9da-5b9a1ed46758",
      "timestamp_created": "2026-03-05T23:09:47.122Z",
      "timestamp_created_date": "2026-03-05",
      "organization_id": "019cc043-aef2-75d0-a9da-5b9be38de65f",
      "test_id": "019cc043-aef2-75d0-a9da-5b9c98c7b2fe",
      "domain": "growinstantly.com",
      "domain_ip": "192.168.1.1",
      "spam_assassin_score": 2.5,
      "domain_blacklist_count": 5,
      "domain_ip_blacklist_count": 3,
      "spam_assassin_report": {
        "is_spam": false,
        "report": [
          {
            "description": "BODY",
            "name": "HTML_MESSAGE",
            "score": "0.0"
          }
        ],
        "spam_score": 0
      },
      "blacklist_report": {
        "address": "growinstantly.com",
        "blacklisted_count": 5,
        "details": [
          {
            "blacklist": "zen.spamhaus.org",
            "is_listed": true,
            "test_type": "ip"
          }
        ],
        "ip": "104.21.62.47",
        "is_blacklisted": true,
        "is_domain": true
      }
    }
  ],
  "next_starting_after": "019cc043-e371-70fb-bc0c-a9749cfa8364"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

limit
integer

The number of items to return

Required range: 1 <= x <= 100
Example:

10

starting_after
string

The ID of the last item in the previous page - used for pagination. You can use the value of the next_starting_after field from the previous response.

Example:

"01956fbd-0eb1-72db-a565-82977a586084"

test_id
string<uuid>
required
Example:

"d290f1ee-6c54-4b01-90e6-d701748f0851"

date_from
string
Example:

"2026-03-05T23:10:00.561Z"

date_to
string
Example:

"2026-03-05T23:10:00.561Z"

skip_spam_assassin_report
boolean

Flag to skip including spam_assassin_report JSON

Example:

false

skip_blacklist_report
boolean

Flag to skip including blacklist_report JSON

Example:

false

Response

The list of Inbox Placement Blacklist & SpamAssassin Report

items
Inbox Placement Blacklist & SpamAssassin Report · object[]
required

The list of Inbox Placement Blacklist & SpamAssassin Report

next_starting_after
string

The filter for getting the next items after this one, this could either be a UUID, a timestamp, on an email depending on the specific API

Example:

"019cc043-e371-70fb-bc0c-a9749cfa8364"